repository_dispatch when you want activity that happens outside of GitHub Enterprise Server to trigger a GitHub Actions workflow or GitHub App webhook. You must configure your GitHub Actions workflow or GitHub App to run when the repository_dispatch event occurs. For an example repository_dispatch webhook payload, see "RepositoryDispatchEvent."client_payload parameter is available for any extra information that your workflow might need. This parameter is a JSON payload that will be passed on when the webhook event is dispatched. For example, the client_payload can include a message that a user would like to send using a GitHub Actions workflow. Or the client_payload can be used as a test to debug your workflow.client_payload as a test to debug your workflow.repo scope to use this endpoint.curl --location 'https://service1.exmaple.com/repos///dispatches' \
--header 'Content-Type: application/json' \
--data '{
"event_type": "on-demand-test",
"client_payload": {
"unit": false,
"integration": true
}
}'{
"message": "string",
"documentation_url": "string",
"url": "string",
"status": "string"
}